com.hazelcast.jet.core.metrics

## Class MetricNames

- java.lang.Object
- - com.hazelcast.jet.core.metrics.MetricNames

-     public final class MetricNames
      extends Object

  Each metric provided by Jet has a specific name which conceptually identifies what it's being used to measure. Besides their name metrics also have a description made up by tags, but those are more like attributes which describe a specific instance of the metric and are not directly part of the identity of the metric.

  Metric names are also being duplicated by the metric tag `MetricTags.METRIC`.

  The constants described here represent the various names metrics can take in Jet.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COALESCED_WM` Tracks the highest watermark observed on all the input queues of a particular incoming `Edge` of a certain `Vertex`.
    `static String` | `DISTRIBUTED_BYTES_IN` Tracks the data volume (bytes) coming in over the network for DISTRIBUTED input `Edge`s of particular `Vertex` instances running on various `Processor`s.
    `static String` | `DISTRIBUTED_BYTES_OUT` Tracks the data volume (bytes) going out over the network for DISTRIBUTED output `Edge`s of particular `Vertex` instances running on various `Processor`s.
    `static String` | `DISTRIBUTED_ITEMS_IN` Counts data items coming in over the network for DISTRIBUTED input `Edge`s of particular `Vertex` instances running on various `Processor`s.
    `static String` | `DISTRIBUTED_ITEMS_OUT` Counts data items going out over the network for DISTRIBUTED output `Edge`s of particular `Vertex` instances running on various `Processor`s.
    `static String` | `EMITTED_COUNT` Counts the data items emitted on outgoing `Edge`s of particular `Vertex` instances running on various `Processor`s.
    `static String` | `LAST_FORWARDED_WM` Tracks the last watermark emitted by a particular `Processor`, which can be identified based on the `MetricTags.PROCESSOR` tag.
    `static String` | `LAST_FORWARDED_WM_LATENCY` Tracks the difference between the last emitted watermark and the system time of a particular `Processor`.
    `static String` | `QUEUE_CAPACITY` Tracks the total capacity of all input queues of a particular `Vertex` on a particular `Processor`.
    `static String` | `QUEUE_SIZES` Tracks the total size of all input queues of a particular `Vertex` on a particular `Processor`.
    `static String` | `RECEIVED_BATCHES` Counts incoming data item batches on input `Edge`s of particular `Vertex` instances running on various `Processor`s.
    `static String` | `RECEIVED_COUNT` Counts incoming data items on input `Edge`s of particular `Vertex` instances running on various `Processor`s.
    `static String` | `TOP_OBSERVED_WM` Tracks the highest coalesced watermark observed on all input `Edge`s of a particular `Vertex` (ie.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RECEIVED_COUNT

          public static final String RECEIVED_COUNT

      Counts incoming data items on input `Edge`s of particular `Vertex` instances running on various `Processor`s. These in turn can be identified based on the `MetricTags.ORDINAL`, `MetricTags.VERTEX` & `MetricTags.PROCESSOR` tags of the metric.
      See Also:
        Constant Field Values

    - #### RECEIVED_BATCHES

          public static final String RECEIVED_BATCHES

      Counts incoming data item batches on input `Edge`s of particular `Vertex` instances running on various `Processor`s. These in turn can be identified based on the `MetricTags.ORDINAL`, `MetricTags.VERTEX` & `MetricTags.PROCESSOR` tags of the metric.
      See Also:
        Constant Field Values

    - #### QUEUE_SIZES

          public static final String QUEUE_SIZES

      Tracks the total size of all input queues of a particular `Vertex` on a particular `Processor`. They both can be identified based on the `MetricTags.VERTEX` and `MetricTags.PROCESSOR` tags of the metric.
      See Also:
        Constant Field Values

    - #### QUEUE_CAPACITY

          public static final String QUEUE_CAPACITY

      Tracks the total capacity of all input queues of a particular `Vertex` on a particular `Processor`. They both can be identified based on the `MetricTags.VERTEX` and `MetricTags.PROCESSOR` tags of the metric.
      See Also:
        Constant Field Values

    - #### EMITTED_COUNT

          public static final String EMITTED_COUNT

      Counts the data items emitted on outgoing `Edge`s of particular `Vertex` instances running on various `Processor`s. These in turn can be identified based on the `MetricTags.ORDINAL`, `MetricTags.VERTEX` & `MetricTags.PROCESSOR` tags of the metric.

      When the `MetricTags.ORDINAL` tag contains the value "snapshot" then the count contains the number of snapshots saved by the `Processor`.

      See Also:
        Constant Field Values

    - #### TOP_OBSERVED_WM

          public static final String TOP_OBSERVED_WM

      Tracks the highest coalesced watermark observed on all input `Edge`s of a particular `Vertex` (ie. the highest watermark observed on all input queues of that `Vertex`). The `Vertex` and the `Processor` can be identified based on the `MetricTags.VERTEX` & `MetricTags.PROCESSOR` tags of the metric.
      See Also:
        Constant Field Values

    - #### COALESCED_WM

          public static final String COALESCED_WM

      Tracks the highest watermark observed on all the input queues of a particular incoming `Edge` of a certain `Vertex`. The `Edge` and the `Vertex`, together with the concrete `Processor` running them can be identified based on the `MetricTags.ORDINAL`, `MetricTags.VERTEX` & `MetricTags.PROCESSOR` tags of the metric.
      See Also:
        Constant Field Values

    - #### LAST_FORWARDED_WM

          public static final String LAST_FORWARDED_WM

      Tracks the last watermark emitted by a particular `Processor`, which can be identified based on the `MetricTags.PROCESSOR` tag.
      See Also:
        Constant Field Values

    - #### LAST_FORWARDED_WM_LATENCY

          public static final String LAST_FORWARDED_WM_LATENCY

      Tracks the difference between the last emitted watermark and the system time of a particular `Processor`. The `Processor` can be identified based on the `MetricTags.PROCESSOR` tag.
      See Also:
        Constant Field Values

    - #### DISTRIBUTED_ITEMS_IN

          public static final String DISTRIBUTED_ITEMS_IN

      Counts data items coming in over the network for DISTRIBUTED input `Edge`s of particular `Vertex` instances running on various `Processor`s. These in turn can be identified based on the `MetricTags.ORDINAL`, `MetricTags.VERTEX` & `MetricTags.PROCESSOR` tags of the metric.
      See Also:
        Constant Field Values

    - #### DISTRIBUTED_BYTES_IN

          public static final String DISTRIBUTED_BYTES_IN

      Tracks the data volume (bytes) coming in over the network for DISTRIBUTED input `Edge`s of particular `Vertex` instances running on various `Processor`s. These in turn can be identified based on the `MetricTags.ORDINAL`, `MetricTags.VERTEX` & `MetricTags.PROCESSOR` tags of the metric.
      See Also:
        Constant Field Values

    - #### DISTRIBUTED_ITEMS_OUT

          public static final String DISTRIBUTED_ITEMS_OUT

      Counts data items going out over the network for DISTRIBUTED output `Edge`s of particular `Vertex` instances running on various `Processor`s. These in turn can be identified based on the `MetricTags.ORDINAL`, `MetricTags.VERTEX` & `MetricTags.PROCESSOR` tags of the metric.
      See Also:
        Constant Field Values

    - #### DISTRIBUTED_BYTES_OUT

          public static final String DISTRIBUTED_BYTES_OUT

      Tracks the data volume (bytes) going out over the network for DISTRIBUTED output `Edge`s of particular `Vertex` instances running on various `Processor`s. These in turn can be identified based on the `MetricTags.ORDINAL`, `MetricTags.VERTEX` & `MetricTags.PROCESSOR` tags of the metric.
      See Also:
        Constant Field Values

Copyright © 2019. All rights reserved.